#pragma once

#include "Sensor.h"

/// @brief A Sensor which can measure the magnetic field
class Accelerometer : public Sensor {
 public:
  Accelerometer(){};

  /// @brief This gives the gravity direciton relative to the down direction.
  /// @param forward the forward direction, negative is backward, positive is forward
  /// @param sideward the sideward direction, negative is left, positive is to the right
  /// @note the units (degrees, radians, -1..1, ...) depend on the sensor
  void GetAccelerationDirection(float* forward, float* sideward);
  /// @brief The magnitude of the gravity field.
  /// @return The magnitude. This value is never negative.
  /// @note the unity (m/s^2, 0..1) depends on the sensor.
  float GetAccelerationMagnitude();
};